Subject: bug#32252: [PATCH] %o and %x now format signed numbers

From: Paul Eggert <[email-masked]>
Date: Wed, 25 Jul 2018 10:21:43 -0700

On 07/24/2018 07:41 PM, Eli Zaretskii wrote:
> As for counting the number of 'f's, how is that different from
> counting leading zeros?

The 'f's contribute to the value, the leading zeros do not.  For 
example, in Emacs 26 #x3fffffffffffffff is 2**62 (since it is rounded to 
a floating point number) whereas the visually-similar number 
#x3ffffffffffffff is (2**58 - 1). Although the rounding error should go 
away once we have bignums, the notational problems will become worse if 
%x and %o continue to print in a machine-dependent way.

That being said, it appears that there are enough qualms about the 
change that I plan to install it with the new variable set the other 
way. I.e., the default will be the current behavior and people can set 
the new variable to get the new behavior, to try it this behavior out to 
see whether they have problems.